<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Material.html">Material</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Material Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Material.html">Ogre::Material</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afcb4a61b965600a67ca2c2f060821db9">_dirtyState</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a893c7a150edb48a25e5df700cfc194eb">_fireLoadingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a77d5f72e02500f6db6f460bb48eac721">_firePreparingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a4b5d014a4d078b7893cce480b264c493">_fireUnloadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a66ab9a0f0ef89e66a0f0e0349433af39">_notifyNeedsRecompile</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3d111616339484f39c9456eeec6fd843">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a5513ffce404b14cff72846318b018d32">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a9f3c19add96a8d8256883cd482a35e46">applyDefaults</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a8769386ac3a7cfe3adf13ae5cae273e1">applyTextureAliases</a>(const AliasTextureNamePairList &amp;aliasList, const bool apply=true) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a0872ad5223a334fc9f3a0e2053d92494">BestTechniquesBySchemeList</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a6b7f88e5dc87f595e875b795014b693c">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa5d6f3f7e73b77b233fc62b11f270e4d">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ac6b816e870fc8ac82e448706070aa914">clearBestTechniqueList</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a8f0507439022892fc19ca7f5f6317774">clone</a>(const String &amp;newName, bool changeGroup=false, const String &amp;newGroup=StringUtil::BLANK) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a1f51926064eaa39f9d85393b41bb8870">compile</a>(bool autoManageTextureUnits=true)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a9888035216e1a60f6aece5d027a857b0">copyDetailsTo</a>(MaterialPtr &amp;mat) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#af4238db138727651e692e015e378134a">createTechnique</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a367f6fe60bb211cb4c32e3825ca67e4c">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a37ae7259ce89bdc38828ea1b977bdbcf">getBestTechnique</a>(unsigned short lodIndex=0, const Renderable *rend=0)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a36da1bc08aaf6af5d410e505d5676d4f">getCompilationRequired</a>() const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a741224f735dfd9ce324a4e8e621d868c">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae712b3ff458ccbf8e1ff1e33d695bf60">getGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae3be647e47679266df79b565ffbe1de7">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a76029b0c460f49dc544015d69befe091">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a7e339438e289edbd08552ccb3cacd3c9">getLodIndex</a>(Real value) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a591123534062a001a8e40da618672d42">getLodStrategy</a>() const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a29977ae3099704384071168e7d00d4d1">getLodValueIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a77fac58a5756d746b2452933f615c25d">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ac1f9f57f0554fee70a43699c97282e04">getNumLodLevels</a>(unsigned short schemeIndex) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#adc0b0cf0ed5a7225dc07a20543896338">getNumLodLevels</a>(const String &amp;schemeName) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ad69c068dd3a2ff367b16b9dea815c5c9">getNumSupportedTechniques</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aae13cbf565ab69622b3c19dc0166ba51">getNumTechniques</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a8e4b0066ed588a49cdf474e9870bfcb4">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a5cdf34620f4cde27d69dda252081f18c">getReceiveShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa8e96b7bb387708db2161f7f982407c6">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9fef5e371f8e94141624a151ac12e695">getStateCount</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#accfd676f253b906ab3e661b8453465ee">getSupportedTechnique</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a96a7e49668804887511eeb1af691ace0">getSupportedTechniqueIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#abc82b3c4963c8d3cd04c93fdc6dbf416">getTechnique</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a45adc5d6aaebd5b77cfa663fa055eb83">getTechnique</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a2b00231e68df74a029421e1511ae97d6">getTechniqueIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aae8ee2517456bdd4b01217e40045fd7c">getTransparencyCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a9d89348c66c6d66bd3a25764d6e8888c">getUnsupportedTechniquesExplanation</a>() const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aea815eb4d68c0e3412f841fc98591ff3">getUserLodValueIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a7a9a48cea7c022a76a10b046f957c25e">insertSupportedTechnique</a>(Technique *t)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae20969c8754d9c939b4d88b4a9eefd08">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a10bba19766b989cbe5a953c78d3e6bb4">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a23136f099efe86c1134dca0a959ba626">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afa5615006905ffb68d6e52449306565f">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aab3672d493ff4ef995520daf6f5067f0">isPrepared</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aadcc4a98a8450506e6b55800db72d414">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a768a085e698111d59fcb7e2d36d53f88">isTransparent</a>(void) const </td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a7395c6b8451100dd30e688595b5ff2c6">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a557b4a5fa14441a471269de195cc8241">loadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caa38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca133a073b86c346096237063f99870fc1">LOADSTATE_PREPARED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572cab43c913411f4a96722902f17b88f10fb">LOADSTATE_PREPARING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a26ecf1ee6d15c7132773634a9760f4f8">LodTechniques</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a02b750ad4a1d2c0aa92cfb7039cd7f95">LodValueIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a4c0945a06c098b9b1d366d9d3ba857fe">LodValueList</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ae3c92b81e6c247286c2304f320a368ef">Material</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a00bfe1380be4c044551121bbd7fb8359">MaterialManager</a> class</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#abf8912f7095a732da38674eb70969788">mBestTechniquesBySchemeList</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a9a746dac3104b618973e9cb090752376">mCompilationRequired</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9c01143012af1b51e648f40e0038476a">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a0960b6028125b936aacd76c558ec477d">mLodStrategy</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aeb3895b9c7613241799ccd9ec1d658a5">mLodValues</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aa1667bc10463df4c60d3ca09d5250a26">mReceiveShadows</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3935b76c9f120dab0419734d990eccaa">mStateCount</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a70c34733a2a03532e537c12478532267">mSupportedTechniques</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ae158fb2cce67f89ba7ee840bb8ef23c2">mTechniques</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aecf730df2c994846c06763f4eb163361">mTransparencyCastsShadows</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a97d8c59610740bad4047c69c3986782d">mUnsupportedReasons</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a24cead398bd291dcaa531b3ec288b58f">mUserLodValues</a></td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ada9d917b97ae23bbd61ab8a811dd14cf">operator=</a>(const Material &amp;rhs)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a0ac4960f2e4969be70ded84e35c7728d">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ac21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a350b287fa3e83a389221274f68760008">prepare</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ac9cbbca7af6da1942656d5714bf67848">prepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a1158a82d9399448666ea415d5f9a10a9">removeAllTechniques</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3c49142f739ba8fb56d6e7b3db235fb7">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a8a81c60f958b0f3615c8690583c10d52">removeTechnique</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#af16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a284464b0561a6f2915f04b0245b987f0">SceneManager</a> class</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a51a76c34cc1ae2a069c6d6440738d291">setAmbient</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#af2788cd021eba0164ff6020de64d417e">setAmbient</a>(const ColourValue &amp;ambient)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae0a0007de944eb3c2f933a372a752b35">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ab88f2abf1ca49a99555820fce32f75a0">setColourWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a8937a20eafba0997f7a6889fd6a188e4">setCullingMode</a>(CullingMode mode)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#acb0cf0ddfd03f3c4fd1d6dc278076463">setDepthBias</a>(float constantBias, float slopeScaleBias)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a44413ef81066bc9a44e29361749a0f6e">setDepthCheckEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a5e6e5526611a5f10203225e4d2f86d0c">setDepthFunction</a>(CompareFunction func)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#abdb247ea40cec3c59c3a8726664695c8">setDepthWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aebf26724438956ed04cdc0834f088567">setDiffuse</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ac074b3eb66c45685be8fb4b0ebbebcd6">setDiffuse</a>(const ColourValue &amp;diffuse)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a32937d27d1a0211a76d9ce8035a221ee">setFog</a>(bool overrideScene, FogMode mode=FOG_NONE, const ColourValue &amp;colour=ColourValue::White, Real expDensity=0.001, Real linearStart=0.0, Real linearEnd=1.0)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a758ce629d7d709a7038ede19d21f59cf">setLightingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a67d79bf335a4f3a9ed2bc9d70b2e7994">setLodLevels</a>(const LodValueList &amp;lodValues)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a8809a6d4f0e4e6380aee7f0e34e5d2cf">setLodStrategy</a>(LodStrategy *lodStrategy)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ad7cff3d355ac80a2325ff77448c48177">setManualCullingMode</a>(ManualCullingMode mode)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a8c26b7ccb050d96cd031db31bf996b48">setPointSize</a>(Real ps)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#abe6a4371ce72c7bf1cf5a0c2e9259815">setReceiveShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a8c9ccac6e60241a1865ac211e3b203c8">setSceneBlending</a>(const SceneBlendType sbt)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a145badc7cadec0958241a47b6037b3e6">setSceneBlending</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a0b498763bb992542e1094a027602b2bf">setSelfIllumination</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a27911290eaa7990dea483f62d27c9285">setSelfIllumination</a>(const ColourValue &amp;selfIllum)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a046659fb27e92554d2a3f4c5a49c7579">setSeparateSceneBlending</a>(const SceneBlendType sbt, const SceneBlendType sbta)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aa934de36e2d8c867b6ed1fc9c0fa8be0">setSeparateSceneBlending</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor, const SceneBlendFactor sourceFactorAlpha, const SceneBlendFactor destFactorAlpha)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#abe72697aa6f639a23d2003fc10d3939b">setShadingMode</a>(ShadeOptions mode)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a008c264b3fa918677120621d6a112f99">setShininess</a>(Real val)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a1bb1aed9081702e2b7f65d32be7caad4">setSpecular</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#ac0fd7b4c5684270dc61e57ef6ddef4f2">setSpecular</a>(const ColourValue &amp;specular)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#aa0725c90c26094f73c04eedd51773bee">setTextureAnisotropy</a>(int maxAniso)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a2424a948e95a581d1b7de87ea14e7131">setTextureFiltering</a>(TextureFilterOptions filterType)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a5552baf6c922eb48a981f7c51aadc5e2">setTransparencyCastsShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ad57e8c6f0793dde7d1b479361e55e419">StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a4969168248bff6aea70eafcf75497689">TechniqueIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#afdf9a8d8a4b01de34a66266e0769b5e6">Techniques</a> typedef</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a340e9c6140a5b0f3467596712aa122a9">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a0d6ca8b12c3058519321f058da8bf7a3">unloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a42b40b4a9d60ccd9b94150dd6f5ba3fe">unprepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Material.html#a2e2118319d3d7cb1610869c33ab766eb">~Material</a>()</td><td><a class="el" href="classOgre_1_1Material.html">Ogre::Material</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#aa86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
